//====================================================================================
// Open Computer and Software Inventory Next Generation
// Copyright (C) 2010 OCS Inventory Team. All rights reserved.
// Web: http://www.ocsinventory-ng.org

// This code is open source and may be copied and modified as long as the source
// code is always made freely available.
// Please refer to the General Public Licence V2 http://www.gnu.org/ or Licence.txt
//====================================================================================

// ISA_PNPID.cpp
//
// As said in EDID standard (http://www.vesa.org/vesa-standards/standards-faq/), 
// ID Manufacturer Name is obtained from Microsoft. Plug and Play device ID for a monitor/LCD
// consists of seven characters. The first three characters represent the Vendor ID which is
// assigned by Microsoft. The four-character Product ID, which is a 2-byte hexadecimal number, 
// is assigned by the company producing the monitor. Companies can apply online for a Vendor ID 
// at http://www.microsoft.com/whdc/system/pnppwr/pnp/pnpid.mspx. Microsoft does not maintain Product
// IDs. It is the individual companys responsibility to assure that they do not assign the same 
// Product ID to two different devices.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#include "ISA_PNPID.h"

// Format is "PNPid","Company name"
// Last updated August 14, 2012

char *tabPNPID[] = {
"BUT","21ST CENTURY ENTERTAINMENT",
"TTL","2-Tel B.V.",
"TCM","3Com Corporation",
"TDP","3D Perception",
"VSD","3M",
"NGS","A D S Exports",
"API","A Plus Info Corporation",
"ACG","A&R Cambridge Ltd",
"APV","A+V Link ",
"TRU","Aashima Technology B.V.",
"ABA","ABBAHOME   INC.",
"MEG","Abeam Tech Ltd",
"ATC","Ably-Tech Corporation",
"ABC","AboCom System Inc",
"WTC","ACC Microelectronics",
"AWC","Access Works Comm Inc",
"PKA","Acco UK ltd. ",
"ACC","Accton Technology Corporation",
"ACU","Acculogic",
"ASL","AccuScene Corporation Ltd",
"ANT","Ace CAD Enterprise Company Ltd",
"CHE","Acer Inc",
"ALI","Acer Labs",
"ANX","Acer Netxus Inc",
"ACR","Acer Technologies",
"ACK","Acksys",
"ADC","Acnhor Datacomm",
"CAL","Acon",
"ALK","Acrolink Inc",
"ACM","Acroloop Motion Control Systems Inc",
"LAB","ACT Labs Ltd",
"ACE","Actek Engineering Pty Ltd",
"AEI","Actiontec Electric Inc",
"ACV","ActivCard S.A",
"ACB","Aculab Ltd",
"ALM","Acutec Ltd.",
"GLE","AD electronics",
"ADM","Ad Lib MultiMedia Inc",
"ADP","Adaptec Inc",
"ADX","Adax Inc",
"RSH","ADC-Centre",
"AVE","Add Value Enterpises (Asia) Pte Ltd",
"ADA","Addi-Data GmbH",
"ADI","ADI Systems Inc",
"DPM","ADPM Synthesis sas",
"AXB","Adrienne Electronics Corporation",
"ADT","Adtek",
"ADK","Adtek System Science Company Ltd",
"FLE","ADTI Media, Inc",
"AND","Adtran Inc",
"AGM","Advan Int'l Corporation",
"AVN","Advance Computer Corporation",
"MSM","Advanced Digital Systems",
"AED","Advanced Electronic Designs, Inc.",
"RJS","Advanced Engineering",
"GRV","Advanced Gravis",
"AIR","Advanced Integ. Research Inc",
"ALR","Advanced Logic",
"ADV","Advanced Micro Devices Inc",
"EVE ","Advanced Micro Peripherals Ltd",
"AOE","Advanced Optics Electronics, Inc.",
"ADD","Advanced Peripheral Devices Inc",
"ABV","Advanced Research Technology",
"PSA","Advanced Signal Processing Technologies",
"AHC","Advantech Co., Ltd.",
"ADH","Aerodata Holdings Ltd",
"AEP","Aetas Peripheral International",
"AET","Aethra Telecomunicazioni S.r.l.",
"CHS","Agentur Chairos",
"AGT","Agilent Technologies",
"ASI","Ahead Systems",
"AIM","AIMS Lab Inc",
"AYR","Airlib, Inc",
"AWL","Aironet Wireless Communications, Inc",
"AIW","Aiwa Company Ltd",
"AJA","AJA Video Systems, Inc.",
"AKE","AKAMI Electric Co.,Ltd",
"AKB","Akebia Ltd",
"AKI","AKIA Corporation",
"ALH","AL Systems",
"ALA","Alacron Inc",
"ALN","Alana Technologies",
"AOT","Alcatel",
"ABE","Alcatel Bell",
"ADB","Aldebbaron",
"ALX","ALEXON Co.,Ltd.",
"AFA","Alfa Inc",
"ALO","Algolith Inc.",
"AIS","Alien Internet Services",
"ABD","Allen Bradley Company",
"ALL","Alliance Semiconductor Corporation",
"ATI","Allied Telesis KK",
"ATA","Allied Telesyn International (Asia) Pte Ltd",
"ATK","Allied Telesyn Int'l",
"ACO","Allion Computer Inc.",
"XAD","Alpha Data",
"AEJ","Alpha Electronics Company",
"ATD","Alpha Telecom Inc",
"ATP","Alpha-Top Corporation",
"ALV","AlphaView LCD",
"ALP","Alps Electric Company Ltd",
"AUI","Alps Electric Inc",
"ARC","Alta Research Corporation",
"ALC","Altec Corporation",
"ALJ","Altec Lansing",
"AIX","ALTINEX, INC.",
"AIE","Altmann Industrieelektronik",
"ACS","Altos Computer Systems",
"AIL","Altos India Ltd",
"ALT","Altra",
"CNC","Alvedon Computers Ltd",
"AMB","Ambient Technologies, Inc.",
"AMD","Amdek Corporation",
"AOL","America OnLine",
"YOW","American Biometric Company",
"AXP","American Express",
"AXI","American Magnetics",
"AMI","American Megatrends Inc",
"MCA","American Nuclear Systems Inc",
"CNB","American Power Conversion",
"APC","American Power Conversion",
"AMN","Amimon LTD.",
"AMO","Amino Technologies PLC and Amino Communications Limited",
"AKL","AMiT Ltd",
"AMP","AMP Inc",
"AII","Amptron International Inc.",
"AMT","AMT International Industry",
"AMX","AMX LLC",
"ANA","Anakron",
"ADN","Analog & Digital Devices Tel. Inc",
"ADS","Analog Devices Inc",
"ANL","Analogix Semiconductor, Inc",
"AAE","Anatek Electronics Inc.",
"ABT","Anchor Bay Technologies, Inc.",
"ACI","Ancor Communications Inc",
"ANC","Ancot",
"AML","Anderson Multimedia Communications (HK) Limited",
"ANP","Andrew Network Production",
"ANI","Anigma Inc",
"ANK","Anko Electronic Company Ltd",
"AAT","Ann Arbor Technologies",
"BBB","an-najah university",
"ANO","Anorad Corporation",
"ANR","ANR Ltd",
"ANS","Ansel Communication Company",
"AEC","Antex Electronics Corporation",
"AOA","AOpen Inc.",
"APX","AP Designs Ltd",
"DNG","Apache Micro Peripherals Inc",
"APL","Aplicom Oy",
"APN","Appian Tech Inc",
"APP","Apple Computer Inc",
"APD","AppliAdata",
"ACT","Applied Creative Technology",
"APM","Applied Memory Tech",
"ACL","Apricot Computers",
"APR","Aprilia s.p.a.",
"ACH","Archtek Telecom Corporation",
"ATL","Arcus Technology Ltd",
"ARS","Arescom Inc",
"AGL","Argolis",
"ARI","Argosy Research Inc",
"ARG","Argus Electronics Co., LTD",
"ACA","Ariel Corporation",
"ARM","Arima",
"ADE","Arithmos, Inc.",
"ARK","Ark Logic Inc",
"ARL","Arlotto Comnet Inc",
"AMS","ARMSTEL, Inc.",
"AIC","Arnos Insturments & Computer Systems",
"IMB","ART s.r.l.",
"AGI","Artish Graphics Inc",
"AKM","Asahi Kasei Microsystems Company Ltd",
"ASN","Asante Tech Inc",
"HER","Ascom Business Systems",
"ASC","Ascom Strategic Technology Unit",
"ASM","ASEM S.p.A.",
"AEM","ASEM S.p.A.",
"ASE","AseV Display Labs",
"AMA","Asia Microelectronic Development Inc",
"ASK","Ask A/S",
"DYN","Askey Computer Corporation",
"AKY","Askey Computer Corporation",
"ASP","ASP Microelectronics Ltd",
"ACP","Aspen Tech Inc",
"AST","AST Research Inc",
"JAC","Astec Inc",
"ADL","ASTRA Security Products Ltd",
"ATO","ASTRO DESIGN, INC.",
"ASU","Asuscom Network Inc",
"ATT","AT&T",
"GIS","AT&T Global Info Solutions",
"HSM","AT&T Microelectronics",
"TME","AT&T Microelectronics",
"PDN","AT&T Paradyne",
"ATH","Athena Informatica S.R.L.",
"ATN","Athena Smartcard Solutions Ltd.",
"ATX","Athenix Corporation",
"BUJ","ATI Tech Inc",
"CFG","Atlantis",
"ATM","ATM Ltd",
"AKP","Atom Komplex Prylad",
"AMC","Attachmate Corporation",
"FWA","Attero Tech, LLC",
"APT","Audio Processing Technology  Ltd",
"ASX","AudioScience",
"AVC","Auravision Corporation",
"AUR","Aureal Semiconductor",
"APS","Autologic Inc",
"CLT","automated computer control systems",
"AUT","Autotime Corporation",
"AVL","Avalue Technology Inc.",
"ALS","Avance Logic Inc",
"AVA","Avaya Communication",
"ADT","Aved Display Technologies",
"AEN","Avencall",
"AVR","AVer Information Inc.",
"AVD","Avid Electronics Corporation",
"AVM","AVM GmbH",
"AVO","Avocent Corporation",
"AAA","Avolites Ltd",
"AVT","Avtek (Electronics) Pty Ltd",
"ACD","AWETA BV",
"AXL","Axel",
"AXC","AXIOMTEK CO., LTD.",
"AXO","Axonic Labs LLC",
"AXT","Axtend Technologies Inc",
"AXX","Axxon Computer Corporation",
"AXY","AXYZ Automation Services, Inc",
"AYD","Aydin Displays",
"AZM","AZ Middelheim - Radiotherapy",
"AZT","Aztech Systems Ltd",
"BBH","B&Bh",
"SMR","B.& V. s.r.l.",
"BFE","B.F. Engineering Corporation",
"BUG","B.U.G., Inc.",
"BNO","Bang & Olufsen",
"BNK","Banksia Tech Pty Ltd",
"BAN","Banyan",
"BRC","BARC",
"BDS","Barco Display Systems",
"BCD","Barco GmbH",
"BGB","Barco Graphics N.V",
"DDS","Barco, n.v.",
"BEO","Baug & Olufsen",
"BCC","Beaver Computer Corporaton",
"BEI","Beckworth Enterprises Inc",
"AGC","Beijing Aerospace Golden Card Electronic Engineering Co.,Ltd.",
"NRT","Beijing Northern Radiantelecom Co.",
"BEK","Beko Elektronik A.S.",
"BEL","Beltronic Industrieelektronik GmbH",
"BMI","Benson Medical Instruments Company",
"BUR","Bernecker & Rainer Ind-Eletronik GmbH",
"INZ","Best Buy",
"VPR","Best Buy",
"BPU","Best Power",
"ICC","BICC Data Networks Ltd",
"BIC","Big Island Communications",
"BIL","Billion Electric Company Ltd",
"BLN","BioLink Technologies",
"BIO","BioLink Technologies International, Inc.",
"BML","BIOMED Lab",
"BSL","Biomedical Systems Laboratory",
"BMS","BIOMEDISYS",
"BAC","Biometric Access Corporation",
"BTO","BioTao Ltd",
"BIT","Bit 3 Computer",
"BTC","Bit 3 Computer",
"BTF","Bitfield Oy",
"BHZ","BitHeadz, Inc.",
"BWK","Bitworks Inc.",
"BDR","Blonder Tongue Labs, Inc.",
"BLP","Bloomberg L.P.",
"ZZZ","Boca Research Inc",
"BRI","Boca Research Inc",
"BST","BodySound Technologies, Inc.",
"BOE","BOE",
"BII","Boeckeler Instruments Inc",
"BCS","Booria CAD/CAM systems",
"BOS","BOS",
"BSE","Bose Corporation",
"BNS","Boulder Nonlinear Systems",
"BRA","Braemac Pty Ltd",
"BRM","Braemar Inc",
"BDO","Brahler ICS",
"BBL","Brain Boxes Limited",
"BRG","Bridge Information Co., Ltd",
"BSN","BRIGHTSIGN, LLC",
"BTE","Brilliant Technology",
"BCM","Broadcom",
"BRO","BROTHER INDUSTRIES,LTD.",
"NFC","BTC Korea Co., Ltd",
"BGT","Budzetron Inc",
"BUL","Bull",
"BNE","Bull AB",
"BLI","Busicom",
"BTI","BusTech Inc",
"BUS","BusTek",
"FLY","Butterfly Communications",
"BXE","Buxco Electronics",
"BYD","byd:sign corporation",
"XMM","C3PO S.L.",
"CAC","CA & F Elettronica",
"CBT","Cabletime Ltd",
"CSI","Cabletron System Inc",
"CCI","Cache",
"CAG","CalComp",
"CDP","CalComp",
"CUK","Calibre UK Ltd",
"CSO","California Institute of Technology",
"CAM","Cambridge Audio",
"CED","Cambridge Electronic Design Ltd",
"CMR","Cambridge Research Systems Ltd",
"CNN","Canon Inc",
"CAI","Canon Inc.",
"CAN","Canopus Company Ltd",
"CPM","Capella Microsystems Inc.",
"CCP","Capetronic USA Inc",
"DJE","Capstone Visua lProduct Development ",
"CAR","Cardinal Company Ltd",
"CRD","Cardinal Technical Inc",
"CLX","CardLogix",
"CKJ","Carina System Co., Ltd.",
"CZE","Carl Zeiss AG",
"CAN","Carrera Computer Inc",
"JAZ","Carrera Computer Inc (used as second pnpid)",
"CAS","CASIO COMPUTER CO.,LTD",
"CAA","Castles Automation Co., Ltd",
"CAV","Cavium Networks, Inc",
"FVX","C-C-C Group Plc",
"CCL","CCL/ITRI",
"CCC","C-Cube Microsystems",
"CEP","C-DAC",
"CBR","Cebra Tech A/S",
"CEF","Cefar Digital Vision",
"CEN","Centurion Technologies P/L",
"TCE","Century Corporation",
"CRV","Cerevo Inc.",
"CER","Ceronix",
"CHP","CH Products",
"CHD","ChangHong Electric Co.,Ltd",
"FIR","Chaplet Systems Inc",
"CHA","Chase Research PLC",
"CMG","Chenming Mold Ind. Corp.",
"CHY","Cherry GmbH",
"CMO","Chi Mei Optoelectronics corp.",
"CHC","Chic Technology Corp.",
"CHM","CHIC TECHNOLOGY CORP.",
"CEC","Chicony Electronics Company Ltd",
"CMN","Chimei Innolux Corporation",
"CHL","Chloride-R&D",
"CDG","Christie Digital Systems Inc",
"CHI","Chrontel Inc",
"CGA","Chunghwa Picture Tubes, LTD",
"CHT","Chunghwa Picture Tubes,LTD.",
"CTE","Chunghwa Telecom Co., Ltd.",
"KCD","Chunichi Denshi Co.,LTD.",
"QQQ","Chuomusen Co., Ltd. ",
"CGS","Chyron Corp",
"CNE","Cine-tal",
"PTG","Cipher Systems Inc",
"CIP","Ciprico Inc",
"CPC","Ciprico Inc",
"FPX","Cirel Systemes",
"CRQ","Cirque Corporation",
"CIR","Cirrus Logic Inc",
"CLI","Cirrus Logic Inc",
"SNS","Cirtech (UK) Ltd",
"WSC","CIS Technology Inc",
"CIS","Cisco Systems Inc",
"CIL","Citicom Infotech Private Limited",
"CIT","Citifax Limited",
"CIN","Citron GmbH",
"CLA","Clarion Company Ltd",
"CVS","Clarity Visual Systems",
"CLE","Classe Audio",
"CLV","Clevo Company",
"PPM","Clinton Electronics Corp.",
"CLO","Clone Computers",
"CMC","CMC Ltd",
"CMI","C-Media Electronics",
"JQE","CNet Technical Inc",
"COB","COBY Electronics Co., Ltd",
"COD","CODAN Pty. Ltd.",
"COI","Codec Inc.",
"CDN","Codenoll Technical Corporation",
"CNT","COINT Multimedia Systems",
"CDE","Colin.de",
"CMD","Colorado MicroDisplay, Inc.",
"MVX","COM 1",
"CMX","Comex Electronics AB",
"CIC","Comm. Intelligence Corporation",
"CLD","COMMAT L.t.d.",
"SDH","Communications Specialies, Inc.",
"CPL","Compal Electronics Inc",
"CPQ","Compaq Computer Company",
"CPD","CompuAdd",
"CMS","CompuMaster Srl",
"CDS","Computer Diagnostic Systems",
"CPI","Computer Peripherals Inc",
"CTP","Computer Technology Corporation",
"CBI","ComputerBoards Inc",
"CTM","Computerm Corporation",
"CTN","Computone Products",
"COX","Comrex",
"CTS","Comtec Systems Co., Ltd.",
"CMM","Comtime GmbH",
"COM","Comtrol Corporation",
"CDI","Concept Development Inc",
"CSE","Concept Solutions & Engineering",
"DCI","Concepts Inc",
"CXT","Conexant Systems",
"CGT","congatec AG",
"CNI","Connect Int'l A/S",
"CWR","Connectware Inc",
"CRC","CONRAC GmbH",
"CAT","Consultancy in Advanced Technology",
"CEA","Consumer Electronics Association",
"CCJ","CONTEC CO.,LTD.",
"CON","Contec Company Ltd",
"CDD","Convergent Data Devices",
"CDV","Convergent Design Inc.",
"COO","coolux GmbH ",
"CDC","Core Dynamics Corporation",
"COT","Core Technology Inc",
"CLG","CoreLogic",
"ART","Corion Industrial Corporation",
"CAN","CORNEA",
"CRN","Cornerstone Imaging",
"COR","Corollary Inc",
"CSM","Cosmic Engineering Inc.",
"COS","CoStar Corporation",
"CTA","CoSystems Inc",
"CVA","Covia Inc.",
"CPT","cPATH",
"CDK","Cray Communications",
"IOA","CRE Technology Corporation",
"CRE","Creative Labs Inc",
"CRL","Creative Logic",
"CTL","Creative Technology Ltd",
"CTX","Creatix Polymedia GmbH",
"CRS","Crescendo Communication Inc",
"CSD","Cresta Systems Inc",
"CEI","Crestron Electronics, Inc.",
"CRI","Crio Inc.",
"CII","Cromack Industries Inc",
"XTL","Crystal Computer",
"CSC","Crystal Semiconductor",
"CLM","CrystaLake Multimedia",
"CSS","CSS Laboratories",
"CST","CSTI Inc",
"CTC","CTC Communication Development Company Ltd",
"CUB","Cubix Corporation",
"CYL","Cyberlabs",
"CYB","CyberVision",
"CYW","Cyberware",
"CBX","Cybex Computer Products Corporation",
"CYD","Cyclades Corporation",
"CYC","Cylink Corporation",
"CYX","Cyrix Corporation",
"CRX","Cyrix Corporation",
"CYT","Cytechinfo Inc",
"CYV","Cyviz AS",
"DMP","D&M Holdings Inc, Professional Business Company",
"OPI","D.N.S. Corporation",
"DDA","DA2 Technologies Corporation",
"DAW","DA2 Technologies Inc",
"DWE","Daewoo Electronics Company Ltd",
"TLT","Dai Telecom S.p.A.",
"DIN","Daintelecom Co., Ltd",
"DAI","DAIS SET Ltd.",
"DAK","Daktronics",
"DCC","Dale Computer Corporation",
"DCT","Dancall Telecom A/S",
"DAN","Danelec Marine A/S",
"DDD","Danka Data Devices",
"DAU","Daou Tech Inc",
"HCA","DAT",
"DAX","Data Apex Ltd",
"DDI","Data Display AG",
"DXP","Data Expert Corporation",
"EXP","Data Export Corporation",
"DGC","Data General Corporation",
"EBH","Data Price Informatica",
"DRI","Data Race Inc",
"DRC","Data Ray Corp.",
"DTX","Data Translation",
"DVT","Data Video",
"DBK","Databook Inc",
"DCD","Datacast LLC",
"TRN","Datacommunicatie Tron B.V.",
"DQB","Datacube Inc",
"DDT","Datadesk Technologies Inc",
"DKY","Datakey Inc",
"LJX","Datalogic Corporation",
"DTN","Datang  Telephone Co",
"DII","Dataq Instruments Inc",
"DDE","Datasat Digital Entertainment",
"DCV","Datatronics Technology Inc",
"DAT","Datel Inc",
"MSD","Datenerfassungs- und Informationssysteme",
"DAV","Davicom Semiconductor Inc",
"DAS","DAVIS AS",
"DBN","DB Networks Inc",
"HWC","DBA Hans Wedemeyer",
"DCM","DCM Data Products",
"DGT","Dearborn Group Technology",
"DXD","DECIMATOR DESIGN PTY LTD",
"DCR","Decros Ltd",
"MLD","Deep Video Imaging Ltd",
"DFT","DEI Holdings dba Definitive Technology",
"DEI","Deico Electronics",
"DLL","Dell Inc",
"DEL","Dell Inc.",
"DPC","Delta Electronics Inc",
"DDV","Delta Information Systems, Inc",
"DTA","DELTATEC ",
"FPS","Deltec Corporation",
"DON","DENON, Ltd.",
"DEN","Densitron Computers Ltd",
"DTT","Design & Test Technology, Inc.",
"LPI","Design Technology",
"DNI","Deterministic Networks Inc.",
"BCQ","Deutsche Telekom Berkom GmbH",
"DTO","Deutsche Thomson OHG",
"DVL","Devolo AG",
"DXL","Dextera Labs Inc",
"DFI","DFI",
"DHP","DH Print",
"DIA","Diadem",
"DGS","Diagsoft Inc",
"DCO","Dialogue Technology Corporation",
"DCS","Diamond Computer Systems Inc",
"DLC","Diamond Lane Comm. Corporation",
"DNV","DiCon",
"DVD","Dictaphone Corporation",
"DBD","Diebold Inc.",
"DAE","Digatron Industrie Elektronik GmbH",
"DGI","DIGI International",
"DBI","DigiBoard Inc",
"DIG","Digicom S.p.A.",
"DMB","Digicom Systems Inc",
"DGP","Digicorp European sales S.A.",
"DGA","Digiital Arts Inc",
"DXC","Digipronix Control Systems",
"DAC","Digital Acoustics Corporation",
"DAL","Digital Audio Labs Inc",
"DCA","Digital Communications Association",
"SHR","Digital Discovery",
"PRF","Digital Electronics Corporation",
"DEC","Digital Equipment Corporation",
"DPS","Digital Processing Systems",
"DPL","Digital Projection Limited",
"DRD","DIGITAL REFLECTION INC.",
"DVS","Digital Video System",
"DPA","DigiTalk Pro AV",
"DLG","Digital-Logic GmbH",
"DSI","Digitan Systems Inc",
"DLT","Digitelec Informatique Park Cadera",
"DTE","Dimension Technologies, Inc.",
"DMM","Dimond Multimedia Systems Inc",
"DIS","Diseda S.A.",
"DMT","Distributed Management Task Force, Inc. (DMTF) ",
"DTI","Diversified Technology, Inc.",
"ABO","D-Link Systems Inc",
"DLK","D-Link Systems Inc",
"AXE","D-Link Systems Inc (used as 2nd pnpid)",
"DNA","DNA Enterprises, Inc.",
"AUO","DO NOT USE - AUO",
"LPL","DO NOT USE - LPL",
"PHI","DO NOT USE - PHI",
"PTW","DO NOT USE - PTW",
"PVC","DO NOT USE - PVC",
"RTK","DO NOT USE - RTK",
"SEG","DO NOT USE - SEG",
"TNJ","DO NOT USE - TNJ",
"UND","DO NOT USE - UND",
"UNE","DO NOT USE - UNE",
"UNF","DO NOT USE - UNF",
"WAN","DO NOT USE - WAN",
"XER","DO NOT USE - XER",
"XOC","DO NOT USE - XOC",
"DBL","Doble Engineering Company",
"DPI","DocuPoint",
"DLB","Dolby Laboratories Inc. ",
"DOL","Dolman Technologies Group Inc",
"DSP","Domain Technology Inc",
"DMS","DOME imaging systems",
"DOM","Dome Imaging Systems",
"DUA","Dosch & Amand GmbH & Company KG",
"DOT","Dotronic Mikroelektronik GmbH",
"DIM","dPict Imaging, Inc.",
"DPX","DpiX, Inc.",
"DPT","DPT",
"DRB","Dr. Bott KG",
"DNT","Dr. Neuhous Telekommunikation GmbH",
"DIT","Dragon Information Technology",
"DRS","DRS Defense Solutions, LLC",
"DSD","DS Multimedia Pte Ltd",
"DSM","DSM Digital Services GmbH",
"DCE","dSPACE GmbH",
"DTC","DTC Tech Corporation",
"DGK","DugoTech Co., LTD",
"DMC","Dune Microsystems Corporation",
"DYC","Dycam Inc",
"DYM","Dymo-CoStar Corporation",
"DCL","Dynamic Controls Ltd",
"DTK","Dynax Electronics (HK) Ltd",
"DYX","Dynax Electronics (HK) Ltd",
"EDC","e.Digital Corporation",
"EEP","E.E.P.D. GmbH",
"EGL","Eagle Technology",
"KOD","Eastman Kodak Company",
"EKC","Eastman Kodak Company",
"TWI","Easytel oy",
"ECO","Echo Speech Corporation",
"ETI","Eclipse Tech Inc",
"ECM","E-Cmos Tech Corporation",
"ESC","Eden Sistemas de Computacao S/A",
"EDI","Edimax Tech. Company Ltd",
"EDM","EDMI",
"ELI","Edsun Laboratories",
"EES","EE Solutions, Inc.",
"EEH","EEH Datalink GmbH",
"ENI","Efficient Networks",
"EGN","Egenera, Inc.",
"EIC","Eicon Technology Corporation",
"EGD","EIZO GmbH Display Technologies ",
"ENC","Eizo Nanao Corporation",
"EKS","EKSEN YAZILIM",
"ELA","ELAD srl",
"ETD","ELAN MICROELECTRONICS CORPORATION",
"ESA","Elbit Systems of America",
"ESG","ELCON Systemtechnik GmbH",
"LXS","ELEA CardWare",
"ECP","Elecom Company Ltd",
"ELE","Elecom Company Ltd",
"ECA","Electro Cam Corp.",
"ELC","Electro Scientific Ind",
"MMM","Electronic Measurements",
"ETS","Electronic Trade Solutions Ltd",
"EDG","Electronic-Design GmbH",
"ELL","Electrosonic Ltd",
"BEC","Elektro Beckhoff GmbH",
"ELT","Element Labs, Inc.",
"EGA","Elgato Systems LLC",
"ECS","Elitegroup Computer Systems Company Ltd",
"UEG","Elitegroup Computer Systems Company Ltd",
"ELG","Elmeg GmbH Kommunikationstechnik",
"ELM","Elmic Systems Inc",
"EMO","ELMO COMPANY, LIMITED",
"ELO","Elo TouchSystems Inc",
"ELX","Elonex PLC",
"LPE","El-PUSK Co., Ltd.",
"ELS","ELSA GmbH",
"EMB","Embedded computing inc ltd",
"EST","Embedded Solution Technology",
"EMK","Emcore Corporation",
"EDT","Emerging Display Technologies Corp",
"EMG","EMG Consultants Inc",
"EMC","eMicro Corporation",
"EME","EMiNE TECHNOLOGY COMPANY, LTD.",
"EPC","Empac",
"EMU","Emulex Corporation",
"ECI","Enciris Technologies",
"ECT","Enciris Technologies ",
"ENE","ENE Technology Inc.",
"DTL","e-Net Inc",
"EHN","Enhansoft",
"END","ENIDAN Technologies Ltd",
"ESD","Ensemble Designs, Inc",
"ENS","Ensoniq Corporation",
"ENT","Enterprise Comm. & Computing Inc",
"EPI","Envision Peripherals, Inc",
"EPN","EPiCON Inc.",
"EPH","Epiphan Systems Inc.",
"EHJ","Epson Research",
"EQX","Equinox Systems Inc",
"EQP","Equipe Electronics Ltd.",
"EGO","Ergo Electronics",
"ERG","Ergo System",
"ERI","Ericsson Mobile Communications AB",
"EUT","Ericsson Mobile Networks B.V.",
"ERN","Ericsson, Inc.",
"ESK","ES&S",
"ESN","eSATURNUS",
"ERT","Escort Insturments Corporation",
"ESS","ESS Technology Inc",
"ECC","ESSential Comm. Corporation",
"ESL","Esterline Technologies",
"ESY","E-Systems Inc",
"EEE","ET&T Technology Company Ltd",
"ETT","E-Tech Inc",
"ETK","eTEK Labs Inc.",
"ETH","Etherboot Project",
"ECK","Eugene Chukhlomin Sole Proprietorship, d.b.a. ",
"ERP","Euraplan GmbH",
"EAS","Evans and Sutherland Computer",
"EVX","Everex",
"ETC","Everton Technology Company Ltd",
"ETL","Evertz Microsystems Ltd.",
"EVI","eviateg GmbH",
"EMI","Ex Machina Inc",
"EXA","Exabyte",
"YHW","Exacom SA",
"EXT","Exatech Computadores & Servicos Ltda",
"ECL","Excel Company Ltd",
"EXC","Excession Audio",
"XFO","EXFO Electro Optical Engineering",
"EXI","Exide Electronics",
"ESI","Extended Systems, Inc.",
"EXY","Exterity Ltd",
"CRO","Extraordinary Technologies PTY Limited",
"EXX","Exxact GmbH",
"EYE","eyevis GmbH",
"EZE","EzE Technologies",
"FJT","F.J. Tieman BV",
"FFI","Fairfield Industries",
"FNC","Fanuc LTD",
"FAR","Farallon Computing",
"FLI","Faroudja Laboratories",
"FMA","Fast Multimedia AG",
"FTI","FastPoint Technologies, Inc.",
"FIT","Feature Integration Technology Inc.",
"FEL","Fellowes & Questec",
"FMI","Fellowes, Inc.",
"FEN","Fen Systems Ltd.",
"FER","Ferranti Int'L",
"TLA","Ferrari Electronic GmbH",
"FHL","FHLP",
"FRI","Fibernet Research Inc",
"FIN","Finecom Co., Ltd.",
"PCG","First Industrial Computer Inc",
"LEO","First International Computer Inc",
"FCG","First International Computer Ltd",
"FVC","First Virtual Corporation",
"FWR","Flat Connections Inc",
"SSD","FlightSafety International",
"FIS","FLY-IT Simulators",
"FCS","Focus Enhancements, Inc.",
"FOA","FOR-A Company Limited",
"FRC","Force Computers",
"FMC","Ford Microelectronics Inc",
"FSI","Fore Systems Inc",
"FIL","Forefront Int'l Ltd",
"FIC","Formosa Industrial Computing Inc",
"FMZ","Formoza-Altair",
"FRE","Forvus Research Inc",
"FOS","Foss Tecator",
"FZC","Founder Group Shenzhen Co.",
"FTN","Fountain Technologies Inc",
"HHI","Fraunhofer Heinrich-Hertz-Institute",
"FRD","Freedom Scientific BLV",
"TCX","FREEMARS Heavy Industries",
"FTE","Frontline Test Equipment Inc.",
"FTG","FTG Data Systems",
"FXX","Fuji Xerox",
"FFC","FUJIFILM Corporation",
"FDT","Fujitsu Display Technologies Corp.",
"FGL","Fujitsu General Limited.",
"FUJ","Fujitsu Ltd",
"FMI","Fujitsu Microelect Inc",
"FML","Fujitsu Microelect Ltd",
"FPE","Fujitsu Peripherals Ltd",
"FUS","Fujitsu Siemens Computers GmbH",
"FJS","Fujitsu Spain",
"FJC","Fujitsu Takamisawa Component Limited",
"FTL","FUJITSU TEN LIMITED",
"FNI","Funai Electric Co., Ltd.",
"FCB","Furukawa Electric Company Ltd",
"FEC","FURUNO ELECTRIC CO., LTD.",
"FDC","Future Domain",
"FSC","Future Systems Consulting KK",
"FTC","Futuretouch Corporation",
"FZI","FZI Forschungszentrum Informatik",
"SPH","G&W Instruments GmbH",
"GDI","G. Diehl ISDN GmbH",
"GLS","Gadget Labs LLC",
"GAG","Gage Applied Sciences Inc",
"HUB","GAI-Tronics, A Hubbell Company",
"GAL","Galil Motion Control",
"GRM","Garmin International",
"GTM","Garnet System Company Ltd",
"GWY","Gateway 2000",
"GCI","Gateway Comm. Inc",
"GAU","Gaudi Co., Ltd.",
"GCC","GCC Technologies Inc",
"GDS","GDS",
"GEF","GE Fanuc Embedded Systems",
"GEH","GE Intelligent Platforms - Huntsville ",
"GFN","Gefen Inc.",
"GEM","Gem Plus",
"GMN","GEMINI 2000 Ltd",
"GDC","General Datacom",
"GML","General Information Systems",
"GIC","General Inst. Corporation",
"GSC","General Standards Corporation",
"GTT","General Touch Technology Co., Ltd.",
"GEN","Genesys ATE Inc",
"GLM","Genesys Logic",
"GND","Gennum Corporation",
"GEO","GEO Sense",
"GTS","Geotest Marvin Test Systems Inc",
"GER","GERMANEERS GmbH",
"GES","GES Singapore Pte Ltd",
"GET","Getac Technology Corporation",
"GFM","GFMesstechnik GmbH",
"GIP","GI Provision Ltd",
"PST","Global Data SA",
"GVL","Global Village Communication",
"GMK","GMK Electronic Design GmbH",
"GMM","GMM Research Inc",
"GMX","GMX Inc",
"GNN","GN Nettest Inc",
"GRE","GOLD RAIN ENTERPRISES CORP.",
"GLD","Goldmund - Digital Audio SA",
"GSM","Goldstar Company Ltd",
"GTI","Goldtouch",
"GGL","Google Inc.",
"GRH","Granch Ltd",
"GJN","Grand Junction Networks",
"GST","Graphic SystemTechnology",
"GRA","Graphica Computer",
"GTC","Graphtec Corporation",
"TGV","Grass Valley Germany GmbH",
"GCS","Grey Cell Systems Ltd",
"GSY","Grossenbacher Systeme AG",
"GTK","G-Tech Corporation",
"GIM","Guillemont International",
"GUD","Guntermann & Drunck GmbH",
"GZE","GUNZE Limited",
"GNZ","Gunze Ltd",
"GUZ","Guzik Technical Enterprises",
"GVC","GVC Corporation",
"GWI","GW Instruments",
"HPR","H.P.R. Electronics GmbH",
"HSC","Hagiwara Sys-Com Company Ltd",
"HAE","Haider electronics",
"HAI","Haivision Systems Inc.",
"HAL","Halberthal",
"HRI","Hall Research",
"HPK","HAMAMATSU PHOTONICS K.K.",
"HTI","Hampshire Company, Inc.",
"HAN","Hanchang System Corporation",
"HSD","HannStar Display Corp",
"HSP","HannStar Display Corp",
"HDC","HardCom Elektronik & Datateknik",
"HJI","Harris & Jeffries Inc",
"HWA","Harris Canada Inc",
"HAR","Harris Corporation",
"HRS","Harris Semiconductor",
"HCW","Hauppauge Computer Works Inc",
"HAY","Hayes Microcomputer Products Inc",
"HCL","HCL America Inc",
"HCM","HCL Peripherals",
"HDI","HD-INFO d.o.o.",
"HPI","Headplay, Inc.",
"HYT","Heng Yu Technology (HK) Limited",
"HRC","Hercules",
"HRT","HERCULES",
"HRL","Herolab GmbH",
"HET","HETEC Datensysteme GmbH",
"HWP","Hewlett Packard",
"HPD","Hewlett Packard",
"HPC","Hewlett Packard Co.",
"HXM","Hexium Ltd.",
"HIB","Hibino Corporation",
"HWD","Highwater Designs Ltd",
"HIK","Hikom Co., Ltd.",
"HIL","Hilevel Technology",
"HHC","HIRAKAWA HEWTECH CORP. ",
"HEC","Hisense Electric Co., Ltd.",
"HIT","Hitachi America Ltd",
"HCP","Hitachi Computer Products Inc",
"HCE","Hitachi Consumer Electronics Co., Ltd",
"HEC","Hitachi Engineering Company Ltd",
"HIC","Hitachi Information Technology Co., Ltd.",
"HTC","Hitachi Ltd",
"MXL","Hitachi Maxell, Ltd.",
"HEL","Hitachi Micro Systems Europe Ltd",
"HTX","Hitex Systementwicklung GmbH",
"HMK","hmk Daten-System-Technik BmbH",
"HOB","HOB Electronic GmbH",
"HOL","Holoeye Photonics AG",
"HDV","Holografika kft.",
"HTK","Holtek Microelectronics Inc",
"INC","Home Row Inc",
"FOX","HON HAI PRECISON IND.CO.,LTD.",
"HKA","HONKO MFG. CO., LTD.",
"APG","Horner Electric Inc",
"HOE","Hosiden Corporation",
"HPQ","HP",
"HMC","Hualon Microelectric Corporation",
"EBT","HUALONG TECHNOLOGY CO., LTD",
"HNS","Hughes Network Systems",
"HMX","HUMAX Co., Ltd.",
"HYO","HYC CO., LTD.",
"HYD","Hydis Technologies.Co.,LTD",
"HYV","Hynix Semiconductor",
"HYC","Hypercope Gmbh Aachen",
"HYR","Hypertec Pty Ltd",
"HYP","Hyphen Ltd",
"ITT","I&T Telecom.",
"IOT","I/OTech Inc",
"IAT","IAT Germany GmbH",
"IBM","IBM Brasil",
"CDT","IBM Corporation",
"IBM","IBM France",
"IBP","IBP Instruments GmbH",
"IBR","IBR GmbH",
"ICE","IC Ensemble",
"ICA","ICA Inc",
"ICX","ICCC A/S",
"ICD","ICD Inc",
"ARE","ICET S.p.A.",
"IUC","ICSL",
"XTD","Icuiti Corporation",
"IWR","Icuiti Corporation",
"ISC","Id3 Semiconductors",
"IDE","IDE Associates",
"IDO","IDEO Product Development",
"DEX","idex displays",
"IDX","IDEXX Labs",
"IDK","IDK Corporation",
"IDN","Idneo Technologies",
"ITS","IDTECH",
"IEE","IEE",
"IGM","IGM Communi",
"IIN","IINFRA Co., Ltd",
"IVM","Iiyama North America",
"IKS","Ikos Systems Inc",
"IND","ILC",
"ILC","Image Logic Corporation",
"ISM","Image Stream Medical",
"IMG","IMAGENICS Co., Ltd.",
"IQT","IMAGEQUEST Co., Ltd",
"IME","Imagraph",
"IMA","Imagraph",
"IMD","ImasDe Canarias S.A.",
"IMC","IMC Networks",
"IMM","Immersion Corporation",
"HUM","IMP Electronics Ltd.",
"IMP","Impinj",
"IMN","Impossible Production",
"IMP","Impression Products Incorporated",
"IFS","In Focus Systems Inc",
"ALD","In4S Inc",
"IBI","INBINE.CO.LTD",
"INK","Indtek Co., Ltd.",
"IPD","Industrial Products Design, Inc.",
"IQI","IneoQuest Technologies, Inc",
"INS","Ines GmbH",
"IFX","Infineon Technologies AG",
"IFZ","Infinite Z",
"IFT","Informtech",
"ICI","Infotek Communication Inc",
"ITR","Infotronic America, Inc.",
"INF","Inframetrics Inc",
"VSN","Ingram Macrotron",
"VID","Ingram Macrotron Germany",
"IHE","InHand Electronics",
"INI","Initio Corporation",
"IMT","Inmax Technology Corporation",
"INO","Innolab Pte Ltd",
"INL","InnoLux Display Corporation",
"INM","InnoMedia Inc",
"ILS","Innotech Corporation",
"ATE","Innovate Ltd",
"INN","Innovent Systems, Inc.",
"WII","Innoware Inc",
"inu","Inovatec S.p.A.",
"ICV","Inside Contactless",
"ION","Inside Out Networks",
"ISG","Insignia Solutions Inc",
"ISR","INSIS Co., LTD.",
"IAF","Institut f r angewandte Funksystemtechnik GmbH",
"ING","Integraph Corporation",
"IBC","Integrated Business Systems",
"ICS","Integrated Circuit Systems",
"IDP","Integrated Device Technology, Inc.",
"ITE","Integrated Tech Express Inc",
"SRC","Integrated Tech Express Inc",
"ITX","integrated Technology Express Inc",
"IAI","Integration Associates, Inc.",
"ICO","Intel Corp",
"III","Intelligent Instrumentation",
"IPI","Intelligent Platform Management Interface (IPMI) forum (Intel, HP, NEC, Dell)",
"IWX","Intelliworxx, Inc.",
"SVC","Intellix Corp.",
"TCH","Interaction Systems, Inc",
"PEN","Interactive Computer Products Inc",
"ITC","Intercom Inc",
"IDS","Interdigital Sistemas de Informacao",
"FBI","Interface Corporation",
"ISI","Interface Solutions",
"IGC","Intergate Pty Ltd",
"IEC","Interlace Engineering Corporation",
"IEI","Interlink Electronics",
"IDC","International Datacasting Corporation",
"IDT","International Display Technology",
"ISY","International Integrated Systems,Inc.(IISI)",
"IMI","International Microsystems Inc",
"IPT","International Power Technologies",
"ITD","Internet Technology Corporation",
"INP","Interphase Corporation",
"INT","Interphase Corporation",
"LSD","Intersil Corporation",
"IST","Intersolve Technologies",
"ITL","Inter-Tel",
"IXD","Intertex Data AB",
"IVI","Intervoice Inc",
"IVS","Intevac Photonics Inc.",
"ICM","Intracom SA",
"SDD","Intrada-SDD Ltd",
"ISP","IntreSource Systems Pte Ltd",
"SRG","Intuitive Surgical, Inc.",
"INE","Inventec Electronics (M) Sdn. Bhd.",
"INV","Inviso, Inc.",
"IOD","I-O Data Device Inc",
"IOS","i-O Display System",
"IOM","Iomega",
"IPP","IP Power Technologies GmbH ",
"IPC","IPC Corporation",
"IPM","IPM Industria Politecnica Meridionale SpA",
"IPS","IPS, Inc. (Intellectual Property Solutions, Inc.)",
"IPW","IPWireless, Inc",
"IRD","IRdata",
"IIC","ISIC Innoscan Industrial Computers A/S",
"ISL","Isolation Systems",
"ISS","ISS Inc",
"ITA","Itausa Export North America",
"IPR","Ithaca Peripherals",
"ITK","ITK Telekommunikation AG",
"ITM","ITM inc.",
"ITP","IT-PRO Consulting und Systemhaus GmbH",
"JCE","Jace Tech Inc",
"JIC","Jaeik Information & Communication Co., Ltd.",
"XFG","Jan Strapko - FOTO",
"JUK","Janich & Klass Computertechnik GmbH",
"JAS","Janz Automationssysteme AG",
"JAE","Japan Aviation Electronics Industry, Limited",
"JDL","Japan Digital Laboratory Co.,Ltd.",
"JAT","Jaton Corporation",
"JET","JET POWER TECHNOLOGY CO., LTD.",
"JWY","Jetway Information Co., Ltd",
"JTY","jetway security micro,inc",
"JWL","Jewell Instruments, LLC",
"SHI","Jiangsu Shinco Electronic Group Co., Ltd",
"JFX","Jones Futurex Inc",
"LTI","Jongshine Tech Inc",
"HKG","Josef Heim KG",
"JPC","JPC Technology Limited",
"JSD","JS DigiTech, Inc",
"JTS","JS Motorsports",
"TPJ","Junnila",
"JUP","Jupiter Systems",
"JSI","Jupiter Systems, Inc.",
"JVC","JVC",
"JKC","JVC KENWOOD Corporation",
"JWS","JWSpencer & Co.",
"SGE","Kansai Electric Company Ltd",
"HIQ","Kaohsiung Opto Electronics Americas, Inc.",
"KSL","Karn Solutions Ltd.",
"KAR","Karna",
"KTN","Katron Tech Inc",
"KTG","Kayser-Threde GmbH",
"KDT","KDDI Technology Corporation",
"KDE","KDE",
"KDS","KDS USA",
"KGL","KEISOKU GIKEN Co.,Ltd.",
"KML","Kensington Microware Ltd",
"KWD","Kenwood Corporation",
"EPS","KEPS",
"KES","Kesa Corporation",
"KEY","Key Tech Inc",
"KTK","Key Tronic Corporation",
"KCL","Keycorp Ltd",
"KVX","KeyView",
"KBI","Kidboard Inc",
"KME","KIMIN Electronics Co., Ltd.",
"KSC","Kinetic Systems Corporation",
"KPC","King Phoenix Company",
"KSX","King Tester Corporation",
"KTC","Kingston Tech Corporation",
"KIS","KiSS Technology A/S",
"PVP","Klos Technologies, Inc.",
"KBL","Kobil Systems GmbH",
"KOB","Kobil Systems GmbH",
"KDK","Kodiak Tech",
"KFX","Kofax Image Products",
"KOL","Kollmorgen Motion Technologies Group",
"KOE","KOLTER ELECTRONIC",
"KFE ","Komatsu Forest ",
"KNC","Konica corporation",
"KTI","Konica Technical Inc",
"TWE","Kontron Electronik",
"KEM","Kontron Embedded Modules GmbH",
"KDM","Korea Data Systems Co., Ltd.",
"KOU","KOUZIRO Co.,Ltd.",
"KOW","KOWA Company,LTD. ",
"KRL","Krell Industries Inc.",
"KRM","Kroma Telecom",
"KRY","Kroy LLC",
"KTE","K-Tech",
"KUR","Kurta Corporation",
"KVA","Kvaser AB",
"KYE","KYE Syst Corporation",
"KYC","Kyocera Corporation",
"KEC","Kyushu Electronics Systems Inc",
"KZN","K-Zone International",
"KZI","K-Zone International co. Ltd.",
"LLL","L-3 Communications",
"LCE","La Commande Electronique",
"LCT","Labcal Technologies",
"LTC","Labtec Inc",
"LWC","Labway Corporation",
"LAC","LaCie",
"LAG","Laguna Systems",
"LND","Land Computer Company Ltd",
"LNT","LANETCO International",
"LWW","Lanier Worldwide",
"LHA","Lars Haagh ApS",
"LAS","LASAT Comm. A/S",
"LMT","Laser Master",
"LGX","Lasergraphics, Inc.",
"LCM","Latitude Comm.",
"LAV","Lava Computer MFG Inc",
"LCC","LCI",
"LEC","Lectron Company Ltd",
"LMP","Leda Media Products",
"LEG","Legerity, Inc",
"LTV","Leitch Technology International Inc.",
"LNV","Lenovo",
"LIN","Lenovo Beijing Co. Ltd.",
"LEN","Lenovo Group Limited",
"PRS","Leutron Vision",
"LEX","Lexical Ltd",
"LCN","LEXICON",
"LMI","Lexmark Int'l Inc",
"LGS","LG Semicom Company Ltd",
"MAN","LGIC",
"LSC","LifeSize Communications",
"LHT","Lighthouse Technologies Limited",
"LWR","Lightware Visual Engineering",
"LTW","Lightware, Inc",
"LZX","Lightwell Company Ltd",
"LKM","Likom Technology Sdn. Bhd.",
"LNR","Linear Systems Ltd.",
"LNK","Link Tech Inc",
"LIP","Linked IP GmbH",
"FGD","Lisa Draexlmaier GmbH",
"LOL","Litelogic Operations Ltd",
"LCI","Lite-On Communication Inc",
"LIT","Lithics Silicon Technology",
"LTN","Litronic Inc",
"LOC","Locamation B.V.",
"LOE","Loewe Opta GmbH",
"LGC","Logic Ltd",
"LSL","Logical Solutions",
"LOG","Logicode Technology Inc",
"LDT","LogiDataTech Electronic GmbH",
"LGI","Logitech Inc",
"SGO","Logos Design A/S",
"LED","Long Engineering Design Inc",
"LCS","Longshine Electronics Company",
"LSI","Loughborough Sound Images",
"LSJ","LSI Japan Company Ltd",
"LSY","LSI Systems Inc",
"LTS","LTS Scale LLC",
"LBO","Lubosoft",
"LUC","Lucent Technologies",
"LMG","Lucent Technologies",
"LTK","Lucidity Technology Company Ltd",
"LUM","Lumagen, Inc.",
"LHE","Lung Hwa Electronics Company Ltd",
"LXN","Luxeon",
"LUX","Luxxell Research Inc",
"LVI","LVI Low Vision International AB",
"LXC","LXCO Technologies AG",
"MAC","MAC System Company Ltd",
"MEJ","Mac-Eight Co., LTD.",
"OCD","Macraigor Systems Inc",
"VHI","Macrocad Development Inc.",
"MXI","Macronix Inc",
"MDG","Madge Networks",
"MAE","Maestro Pty Ltd",
"MAG","MAG InnoVision",
"MCP","Magni Systems Inc",
"EKA","MagTek Inc.",
"MDT","Magus Data Tech",
"MPN","Mainpine Limited",
"MUK","mainpine limited",
"PAK","Many CNC System Co., Ltd.",
"MPL","Maple Research Inst. Company Ltd",
"MJI","MARANTZ JAPAN, INC.",
"MIL","Marconi Instruments Ltd",
"MRC","Marconi Simulation & Ty-Coch Way Training",
"MCR","Marina Communicaitons",
"MLN","Mark Levinson",
"MTU","Mark of the Unicorn Inc",
"MBM","Marshall Electronics",
"MTC","Mars-Tech Corporation",
"MRK","Maruko & Company Ltd",
"MAS","Mass Inc.",
"MEQ","Matelect Ltd.",
"MTX","Matrox",
"MCQ","Mat's Computers",
"WPA","Matsushita Communication Industrial Co., Ltd.",
"MAT","Matsushita Electric Ind. Company Ltd",
"MTI","MaxCom Technical Inc",
"VOB","MaxData Computer AG",
"MXD","MaxData Computer GmbH & Co.KG",
"MXP","Maxpeed Corporation",
"MXT","Maxtech Corporation",
"MXV","MaxVision Corporation",
"DJP","Maygay Machines, Ltd",
"MAY","Maynard Electronics",
"MAZ","MAZeT GmbH",
"MBC","MBC",
"MCD","McDATA Corporation",
"MLI","McIntosh Laboratory Inc.",
"MIT","MCM Industrial Technology GmbH",
"CEM","MEC Electronics GmbH",
"MDR","Medar Inc",
"MTB","Media Technologies Ltd.",
"MKC","Media Tek Inc.",
"MVI","Media Vision Inc",
"MDA","Media4 Inc",
"OWL","Mediacom Technologies Pte Ltd",
"MFR","MediaFire Corp.",
"FTR","Mediasonic",
"MTE","MediaTec GmbH",
"MDK","Mediatek Corporation",
"MPI","Mediatrix Peripherals Inc",
"MRO","Medikro Oy",
"MEC","Mega System Technologies Inc",
"MGA","Mega System Technologies, Inc.",
"MSK","Megasoft Inc",
"MGT","Megatech R & D Company",
"MEN","MEN Mikroelectronik Nueruberg GmbH",
"MGC","Mentor Graphics Corporation",
"RLD","MEPCO",
"PPD","MEPhI",
"MRT","Merging Technologies",
"MAL","Meridian Audio Ltd",
"MED","Messeltronik Dresden GmbH",
"MDV","MET Development Inc",
"MET","Metheus Corporation",
"MCM","Metricom Inc",
"QCH","Metronics Inc",
"NET","Mettler Toledo",
"MCE","Metz-Werke GmbH & Co KG",
"MGL","M-G Technology Ltd",
"MIC","Micom Communications Inc",
"MSX","Micomsoft Co., Ltd.",
"MCS","Micro Computer Systems",
"MDI","Micro Design Inc",
"MDS","Micro Display Systems Inc",
"MFI","Micro Firmware",
"MCC","Micro Industries",
"BPD","Micro Solutions, Inc.",
"MSA","Micro Systemation AB",
"JMT","Micro Technical Company Ltd",
"MBD","Microbus PLC",
"MNP","Microcom",
"MDX","MicroDatec GmbH",
"MRD","MicroDisplay Corporation",
"MDY","Microdyne Inc",
"MFG","MicroField Graphics Inc",
"MPJ","Microlab",
"LAF","Microline",
"MLG","Micrologica AG",
"MMD","Micromed Biotecnologia Ltd",
"MMA","Micromedia AG",
"MCN","Micron Electronics Inc",
"MCI","Micronics Computers",
"MIP","micronpc.com",
"MYX","Micronyx Inc",
"MPX","Micropix Technologies, Ltd.",
"MSL","MicroSlate Inc.",
"PNP","Microsoft",
"MSH","Microsoft",
"PNG","Microsoft",
"WBN","MicroSoftWare",
"MSI","Microstep",
"MCT","Microtec",
"MTH","Micro-Tech Hearing Instruments",
"MKT","MICROTEK Inc.",
"MTK","Microtek International Inc.",
"MSY","MicroTouch Systems Inc",
"MVS","Microvision",
"MVD","Microvitec PLC",
"MWY","Microway Inc",
"MDC","Midori Electronics",
"SFT","Mikroforum Ring 3",
"MLS","Milestone EPE",
"MLM","Millennium Engineering Inc",
"VTM","Miltope Corporation",
"MIM","Mimio  A Newell Rubbermaid Company",
"MTD","MindTech Display Co. Ltd",
"FTW","MindTribe Product Engineering, Inc.",
"MNC","Mini Micro Methods Ltd",
"MIN","Minicom Digital Signage",
"MMN","MiniMan Inc",
"MMF","Minnesota Mining and Manufacturing",
"MRA","Miranda Technologies Inc",
"MRL","Miratel",
"MIR","Miro Computer Prod.",
"MID","miro Displays",
"MSP","Mistral Solutions [P] Ltd.",
"MII","Mitec Inc",
"MTL","Mitel Corporation",
"MTR","Mitron computer Inc",
"MEL","Mitsubishi Electric Corporation",
"MEE","Mitsubishi Electric Engineering Co., Ltd.",
"KMC","Mitsumi Company Ltd",
"MJS","MJS Designs",
"MMS","MMS Electronics",
"FST","Modesto PC Inc",
"MDD","MODIS",
"MIS","Modular Industrial Solutions Inc",
"MOD","Modular Technology",
"MOM","Momentum Data Systems",
"MNL","Monorail Inc",
"MYA","Monydata",
"MBV","Moreton Bay",
"MOS","Moses Corporation",
"MSV","Mosgi Corporation",
"MCO","Motion Computing Inc.",
"MTM","Motium",
"MSU","motorola",
"MCL","Motorola Communications Israel",
"MCG","Motorola Computer Group",
"MTI","Motorola Inc.",
"MOT","Motorola UDS",
"MSC","Mouse Systems Corporation",
"MPC","M-Pact Inc",
"MPS","mps Software GmbH",
"MST","MS Telematica",
"MEX","MSC Vertriebs GmbH",
"MSG","MSI GmbH",
"MSF","M-Systems Flash Disk Pioneers",
"MTN","Mtron Storage Technology Co., Ltd.",
"MUD","Multi-Dimension Institute",
"MMI","Multimax",
"MQP","MultiQ Products AB",
"MTS","Multi-Tech Systems",
"MWI","Multiwave Innovation Pte Ltd",
"MAI","Mutoh America Inc",
"MWR","mware",
"MLX","Mylex Corporation",
"MYR","Myriad Solutions Ltd",
"WYS","Myse Technology",
"NBL","N*Able Technologies Inc",
"NAD","NAD Electronics",
"NDK","Naitoh Densei CO., LTD.",
"NAK","Nakano Engineering Co.,Ltd.",
"NYC","nakayo telecommunications,inc.",
"SCS","Nanomach Anstalt",
"ADR","Nasa Ames Research Center",
"NDC","National DataComm Corporaiton",
"NDI","National Display Systems",
"NIC","National Instruments Corporation",
"NBS","National Key Lab. on ISN",
"NSC","National Semiconductor Corporation",
"TTB","National Semiconductor Japan Ltd",
"NTL","National Transcomm. Ltd",
"ZIC","Nationz Technologies Inc.",
"NMS","Natural Micro System",
"NAT","NaturalPoint Inc.",
"NVT","Navatek Engineering Corporation",
"NAV","Navigation Corporation",
"NAX","Naxos Tecnologia",
"NAC","Ncast Corporation",
"DUN","NCR Corporation",
"NCC","NCR Corporation",
"NCR","NCR Electronics",
"DMV","NDS Ltd",
"NEC","NEC Corporation",
"NCT","NEC CustomTechnica, Ltd.",
"NMV","NEC-Mitsubishi Electric Visual Systems Corporation",
"NEO","NEO TELECOM CO.,LTD.",
"NMX","Neomagic",
"NTC","NeoTech S.R.L",
"NTX","Netaccess Inc",
"NCL","NetComm Ltd",
"NVC","NetVision Corporation",
"NAL","Network Alchemy",
"NDL","Network Designers",
"NGC","Network General",
"NIT","Network Info Technology",
"NPI","Network Peripherals Inc",
"NST","Network Security Technology Co",
"NTW","Networth Inc",
"NEU","NEUROTEC - EMPRESA DE PESQUISA E DESENVOLVIMENTO EM BIOMEDICINA",
"NTI","New Tech Int'l Company",
"NCI","NewCom Inc",
"NWS","Newisys, Inc.",
"NSS","Newport Systems Solutions",
"NXG","Nexgen",
"NEX","Nexgen Mediatech Inc.,",
"NXQ","Nexiq Technologies, Inc.",
"NLC","Next Level Communications",
"NXC","NextCom K.K.",
"NBT","NingBo Bestwinning Technology CO., Ltd",
"BOI","NINGBO BOIGLE DIGITAL TECHNOLOGY CO.,LTD",
"AVI","Nippon Avionics Co.,Ltd",
"GSB","NIPPONDENCHI CO,.LTD",
"NSI","NISSEI ELECTRIC CO.,LTD",
"NIS","Nissei Electric Company",
"NTS","Nits Technology Inc.",
"NCA","Nixdorf Company",
"NNC","NNC",
"NDS","Nokia Data",
"NOK","Nokia Display Products",
"NMP","Nokia Mobile Phones",
"NOR","Norand Corporation",
"NCE","Norcent Technology, Inc.",
"NOE","NordicEye AB",
"NOI","North Invent A/S",
"NCS","Northgate Computer Systems",
"NOT","Not Limited Inc",
"NWP","NovaWeb Technologies Inc",
"NVL","Novell Inc",
"NSP","Nspire System Inc.",
"NTR","N-trig Innovative Technologies, Inc.",
"NTT","NTT Advanced Technology Corporation",
"NUI","NU Inc.",
"NUG","NU Technology, Inc.",
"NFS","Number Five Software",
"KNX","Nutech Marketing PTL",
"NVI","NuVision US, Inc.",
"NTN","Nuvoton Technology Corporation ",
"NVD","Nvidia",
"JEN","N-Vision",
"NWC","NW Computer Engineering",
"NXP","NXP Semiconductors bv.",
"OAK","Oak Tech Inc",
"OAS","Oasys Technology Company",
"OMC","OBJIX Multimedia Corporation",
"PCB","OCTAL S.A.",
"ODM","ODME Inc.",
"ODR","Odrac",
"ATV","Office Depot, Inc.",
"OKI","OKI Electric Industrial Company Ltd",
"OQI","Oksori Company Ltd",
"OSR","Oksori Company Ltd",
"OCN","Olfan",
"OLC","Olicom A/S",
"OLD","Olidata S.p.A.",
"OLT","Olitec S.A.",
"OLV","Olitec S.A.",
"OLI","Olivetti",
"OLY","OLYMPUS CORPORATION",
"OMN","Omnitel",
"OMR","Omron Corporation",
"ONS","On Systems Inc",
"ONE","Oneac Corporation",
"ONK","ONKYO Corporation",
"ONL","OnLive, Inc",
"TIV","OOO Technoinvest",
"OPC","Opcode Inc",
"OCS","Open Connect Solutions",
"ONW","OPEN Networks Ltd",
"OPP","OPPO Digital, Inc.",
"OPT","OPTi Inc",
"OBS","Optibase Technologies",
"OIC","Option Industrial Computers",
"OIN","Option International",
"OIM","Option International",
"OSP","OPTI-UPS Corporation",
"OPV","Optivision Inc",
"OTT","OPTO22, Inc.",
"OTM","Optoma Corporation ",
"OEI","Optum Engineering Inc.",
"OTI","Orchid Technology",
"ORG","ORGA Kartensysteme GmbH",
"TOP","Orion Communications Co., Ltd.",
"ORN","ORION ELECTRIC CO., LTD.",
"OEC","ORION ELECTRIC CO.,LTD",
"OSA","OSAKA Micro Computer, Inc.",
"ORI","OSR Open Systems Resources, Inc.",
"OOS","OSRAM",
"OUK","OUK Company Ltd",
"OTB","outsidetheboxstuff.com",
"OXU","Oxus Research S.A.",
"OZC","OZ Corporation",
"PNG","P.I. Engineering Inc",
"PAC","Pacific Avionics Corporation",
"PCW","Pacific CommWare Inc",
"PIE","Pacific Image Electronics Company Ltd",
"PBL","Packard Bell Electronics",
"PBN","Packard Bell NEC",
"PGI","PACSGEAR, Inc.",
"QFF","Padix Co., Inc.",
"PJT","Pan Jit International Inc.",
"PNS","PanaScope",
"MDO","Panasonic",
"PLF","Panasonic Avionics Corporation",
"MEI","Panasonic Industry Company",
"PNL","Panelview, Inc.",
"PTL","Pantel Inc",
"PTA","PAR Tech Inc.",
"PRT","Parade Technologies, Ltd.",
"PGM","Paradigm Advanced Research Centre",
"PAR","Parallan Comp Inc",
"PLX","Parallax Graphics",
"RCE","Parc d'Activite des Bellevues",
"PTH","Pathlight Technology Inc",
"PCX","PC Xperten",
"PCK","PCBANK21",
"PCM","PCM Systems Corporation",
"PCT","PC-Tel Inc",
"PDS","PD Systems International Ltd",
"PDT","PDTS - Prozessdatentechnik und Systeme",
"PEI","PEI Electronics Inc",
"PVM","Penta Studiotechnik GmbH",
"PCL","pentel.co.,ltd",
"PEP","Peppercon AG",
"PPX","Perceptive Pixel Inc.",
"PER","Perceptive Signal Technologies",
"PRC","PerComm",
"PCO","Performance Concepts Inc.,",
"IPN","Performance Technologies",
"PSL","Perle Systems Limited",
"PON","Perpetual Technologies, LLC",
"PAM","Peter Antesberger Messtechnik",
"PSD","Peus-Systems GmbH",
"PCA","Philips BU Add On Card",
"PHS","Philips Communication Systems",
"PHL","Philips Consumer Electronics Company",
"PHE","Philips Medical Systems Boeblingen GmbH",
"PSC","Philips Semiconductors",
"PXC","Phoenix Contact",
"PNX","Phoenix Technologies, Ltd.",
"PPC","Phoenixtec Power Company Ltd",
"PMX","Photomatrix",
"PHO","Photonics Systems Inc.",
"RSC","PhotoTelesis",
"PHY","Phylon Communications",
"PPR","PicPro",
"PHC","Pijnenburg Beheer N.V.",
"PCI","Pioneer Computer Inc",
"PIO","Pioneer Electronic Corporation",
"PBV","Pitney Bowes",
"PBI","Pitney Bowes",
"PQI","Pixel Qi",
"PVN","Pixel Vision",
"PXE","PIXELA CORPORATION",
"PIX","Pixie Tech Inc",
"PTS","Plain Tree Systems Inc",
"PNR","Planar Systems, Inc.",
"PLV","PLUS Vision Corp.",
"PMC","PMC Consumer Electronics Ltd",
"SPR","pmns GmbH",
"PMM","Point Multimedia System",
"PLY","Polycom Inc.",
"POL","PolyComp (PTY) Ltd.",
"COW","Polycow Productions",
"POR","Portalis LC",
"ARO","Poso International B.V.",
"PEC","POTRANS Electrical Corp.",
"PCC","PowerCom Technology Company Ltd",
"CPX","Powermatic Data Systems",
"PET","Practical Electronic Tools",
"PPI","Practical Peripherals",
"PSE","Practical Solutions Pte., Ltd.",
"PRD","Praim S.R.L.",
"PEL","Primax Electric Ltd",
"SYX","Prime Systems, Inc.",
"PVI","Prime view international Co., Ltd",
"PGS","Princeton Graphic Systems",
"PIM","Prism, LLC",
"PRI","Priva Hortimation BV",
"PRA","PRO/AUTOMATION",
"PCP","Procomp USA Inc",
"PDV","Prodrive B.V.",
"PJA","Projecta",
"DHT","Projectavision Inc",
"PJD","Projectiondesign AS",
"PLM","PROLINK Microsystems Corp.",
"PLC","Pro-Log Corporation",
"PMT","Promate Electronic Co., Ltd.",
"PRM","Prometheus",
"PTI","Promise Technology Inc",
"PAD","Promotion and Display Technology Ltd.",
"TEL","Promotion and Display Technology Ltd.",
"PGP","propagamma kommunikation",
"PSM","Prosum",
"PRO","Proteon",
"PVG","Proview Global Co., Ltd",
"PXM","Proxim Inc",
"PRX","Proxima Corporation",
"PTC","PS Technology Corporation",
"PDM","Psion Dacom Plc.",
"PSI","PSI-Perceptive Solutions Inc",
"PLT","PT Hartono Istana Teknologi",
"PDR","Pure Data Inc",
"PPP","Purup Prepress AS",
"HRE","Qingdao Haier Electronics Co., Ltd.",
"QLC","Q-Logic",
"QTR","Qtronix Corporation",
"DHQ","Quadram",
"QDM","Quadram",
"QCL","Quadrant Components Inc",
"QCC","QuakeCom Company Ltd",
"QCP","Qualcomm Inc",
"QCI","Quanta Computer Inc",
"QDS","Quanta Display Inc.",
"QTM","Quantum",
"QTD","Quantum 3D Inc",
"QDI","Quantum Data Incorporated",
"QSI","Quantum Solutions, Inc.",
"QVU","Quartics",
"QUA","Quatographic AG",
"QTH","Questech Ltd",
"QUE","Questra Consulting",
"QCK","Quick Corporation",
"QFI","Quickflex, Inc",
"QTI","Quicknet Technologies Inc",
"RSQ","R Squared",
"RPT","R.P.T.Intergroups",
"RII","Racal Interlan Inc",
"TSF","Racal-Airtech Software Forge Ltd",
"RAC","Racore Computer Products Inc",
"RRI","Radicom Research Inc",
"RCN","Radio Consult SRL",
"RDN","RADIODATA GmbH",
"RLN","RadioLAN Inc",
"RSN","Radiospire Networks, Inc.",
"RAD","Radisys Corporation",
"RDS","Radius Inc",
"RDI","Rainbow Displays, Inc.",
"RNB","Rainbow Technologies",
"RTS","Raintree Systems",
"BOB","Rainy Orchard",
"RSI","Rampage Systems Inc",
"RAN","Rancho Tech Inc",
"RTI","Rancho Tech Inc",
"RSX","Rapid Tech Corporation",
"RMC","Raritan Computer, Inc",
"RAR","Raritan, Inc.",
"RAS","RAScom Inc",
"REX","RATOC Systems, Inc.",
"RAY","Raylar Design, Inc.",
"RCI","RC International",
"RCH","Reach Technology Inc",
"RKC","Reakin Technolohy Corporation",
"REA","Real D",
"RTL","Realtek Semiconductor Company Ltd",
"ALG","Realtek Semiconductor Corp.",
"RVI","Realvision Inc",
"REC","ReCom",
"RHT","Red Hat, Inc.",
"RWC","Red Wing Corporation",
"REF","Reflectivity, Inc.",
"REH","Rehan Electronics Ltd.",
"RTC","Relia Technologies",
"REL","Reliance Electric Ind Corporation",
"REN","Renesas Technology Corp.",
"RAT","Rent-A-Tech",
"RED","Research Electronics Development Inc",
"RMP","Research Machines",
"RES","ResMed Pty Ltd",
"RET","Resonance Technology, Inc.",
"WTS","Restek Electric Company Ltd",
"RVL","Reveal Computer Prod",
"EXN","RGB Systems, Inc. dba Extron Electronics",
"RIC","RICOH COMPANY, LTD.",
"RHD","RightHand Technologies",
"RIO","Rios Systems Company Ltd",
"RIT","Ritech Inc",
"RIV","Rivulet Communications",
"GRY","Robert Gray Company",
"RGL","Robertson Geologging Ltd",
"ROB","Robust Electronics GmbH ",
"RAI","Rockwell Automation/Intecolor",
"RCO","Rockwell Collins",
"ASY","Rockwell Collins / Airshow Systems",
"COL","Rockwell Collins, Inc.",
"ROK","Rockwell International",
"RSS","Rockwell Semiconductor Systems",
"MAX","Rogen Tech Distribution Inc",
"ROS","Rohde & Schwarz",
"ROH","Rohm Co., Ltd.",
"RHM","Rohm Company Ltd",
"RJA","Roland Corporation",
"RPI","RoomPro Technologies",
"ROP","Roper International Ltd",
"RMT","Roper Mobile",
"RSV","Ross Video Ltd",
"TRL","Royal Information",
"RVC","RSI Systems Inc",
"RUN","RUNCO International",
"SNK","S&K Electronics",
"TLV","S3 Inc",
"SIM","S3 Inc",
"SSS","S3 Inc",
"SAE","Saab Aerotech",
"SAI","Sage Inc",
"SGM","SAGEM",
"SDK","SAIT-Devlonics",
"SAK","Saitek Ltd",
"SLT","Salt Internatioinal Corp.",
"SAM","Samsung Electric Company",
"SKT","Samsung Electro-Mechanics Company Ltd",
"SSE","Samsung Electronic Co.",
"STN","Samsung Electronics America",
"KYK","Samsung Electronics America Inc",
"SEM","Samsung Electronics Company Ltd",
"SDI","Samtron Displays Inc",
"JSK","SANKEN ELECTRIC CO., LTD",
"SSJ","Sankyo Seiki Mfg.co., Ltd",
"SAA","Sanritz Automation Co.,Ltd.",
"STK","SANTAK CORP.",
"SAN","Sanyo Electric Co.,Ltd.",
"SCD","Sanyo Electric Company Ltd",
"SIB","Sanyo Electric Company Ltd",
"TSC","Sanyo Electric Company Ltd",
"ICN","Sanyo Icon",
"SPN","Sapience Corporation",
"SDA","SAT (Societe Anonyme)",
"AVV","SBS Technologies (Canada), Inc. (was Avvida Systems, Inc.)",
"SBS","SBS-or Industrial Computers GmbH",
"SGI","Scan Group Ltd",
"SCN","Scanport, Inc.",
"KFC","SCD Tech",
"SPT","Sceptre Tech Inc",
"SMB","Schlumberger",
"SCH","Schlumberger Cards",
"SLR","Schlumberger Technology Corporate",
"SKD","Schneider & Koch",
"MGE","Schneider Electric S.A.",
"SLS","Schnick-Schnack-Systems GmbH",
"REM","SCI Systems Inc.",
"SCM","SCM Microsystems Inc",
"SCP","Scriptel Corporation",
"SDR","SDR Systems",
"STY","SDS Technologies",
"SDX","SDX Business Systems Ltd",
"NIX","Seanix Technology Inc",
"SEA","Seanix Technology Inc.",
"SAG","Sedlbauer",
"SEE","SeeColor Corporation",
"SRT","SeeReal Technologies GmbH",
"SEC","Seiko Epson Corporation",
"SID","Seiko Instruments Information Devices Inc",
"SIU","Seiko Instruments USA Inc",
"SEI","Seitz & Associates Inc",
"SJE","Sejin Electron Inc",
"STH","Semtech Corporation",
"SEN","Sencore",
"SET","SendTek Corporation",
"SBT","Senseboard Technologies AB",
"STU","Sentelic Corporation",
"SNC","Sentronic International Corp.",
"SEO","SEOS Ltd",
"SEP","SEP Eletronica Ltda.",
"SQT","Sequent Computer Systems Inc",
"SES","Session Control LLC",
"SRD","Setred",
"SVT","SEVIT Co., Ltd.",
"SYT","Seyeon Tech Company Ltd",
"SVA","SGEG",
"STM","SGS Thomson Microelectronics",
"OYO","Shadow Systems",
"SBC","Shanghai Bell Telephone Equip Mfg Co",
"SGW","Shanghai Guowei Science and Technology Co., Ltd.",
"XQU","SHANGHAI SVA-DAV ELECTRONICS CO., LTD",
"SWL","Sharedware Ltd",
"SMM","Shark Multimedia Inc",
"DFK","SharkTec A/S",
"SHP","Sharp Corporation",
"SXT","SHARP TAKAYA ELECTRONIC INDUSTRY CO.,LTD.",
"SDE","Sherwood Digital Electronics Corporation",
"SHC","ShibaSoku Co., Ltd.",
"SHT","Shin Ho Tech",
"SLB","Shlumberger Ltd",
"SAT","Shuttle Tech",
"CHG","Sichuan Changhong Electric CO, LTD.",
"CHO","Sichuang Changhong Corporation",
"SIE","Siemens",
"SDT","Siemens AG",
"SIA","SIEMENS AG",
"SNI","Siemens Microdesign GmbH",
"SNP","Siemens Nixdorf Info Systems",
"SSC","Sierra Semiconductor Inc",
"SWI","Sierra Wireless Inc.",
"SIG","Sigma Designs Inc",
"SGD","Sigma Designs, Inc.",
"SCL","Sigmacom Co., Ltd.",
"STL","SigmaTel Inc",
"DXS","Signet",
"STE","SII Ido-Tsushin Inc",
"SMT","Silcom Manufacturing Tech Inc",
"SXD","Silex technology, Inc.",
"SMS","Silicom Multimedia Systems Inc",
"SGX","Silicon Graphics Inc",
"SII","Silicon Image, Inc.",
"SIS","Silicon Integrated Systems Corporation",
"SIL","Silicon Laboratories, Inc",
"SLH","Silicon Library Inc.",
"SOI","Silicon Optix Corporation",
"SLK","Silitek Corporation",
"SPU","SIM2 Multimedia S.P.A.",
"SMP","Simple Computing",
"SPX","Simplex Time Recorder Co.",
"SIN","Singular Technology Co., Ltd.",
"SNO","SINOSUN TECHNOLOGY CO., LTD",
"SIR","Sirius Technologies Pty Ltd",
"FUN","sisel muhendislik",
"STS","SITECSYSTEM CO., LTD.",
"SIT","Sitintel",
"SKY","SKYDATA S.P.A.",
"SCT","Smart Card Technology",
"SMA","SMART Modular Technologies",
"SPL","Smart Silicon Systems Pty Ltd",
"STI","Smart Tech Inc",
"SBI","SMART Technologies Inc.",
"SMK","SMK CORPORATION",
"SNW","Snell & Wilcox",
"MVM","SOBO VISION",
"LAN","Sodeman Lancom Inc",
"SDF","SODIFF E&T CO., Ltd.",
"SHG","Soft & Hardware development Goldammer GmbH",
"SBD","Softbed - Consulting & Development Ltd",
"SWC","Software Caf",
"SWT","Software Technologies Group,Inc.",
"SOL","Solitron Technologies Inc",
"SLM","Solomon Technology Corporation",
"SXL","SolutionInside",
"ONX","SOMELEC Z.I. Du Vert Galanta",
"HON","Sonitronix",
"SNX","Sonix Comm. Ltd",
"SNY","Sony",
"SON","Sony",
"SER","Sony Ericsson Mobile Communications Inc.",
"SCO","SORCUS Computer GmbH",
"SOR","Sorcus Computer GmbH",
"SCC","SORD Computer Corporation",
"SOT","Sotec Company Ltd",
"FRS","South Mountain Technologies, LTD",
"SOY","SOYO Group, Inc",
"SPI","SPACE-I Co., Ltd.",
"SMI","SpaceLabs Medical Inc",
"SPE","SPEA Software AG",
"SPK","SpeakerCraft",
"SLX","Specialix",
"SGC","Spectragraphics Corporation",
"SSP","Spectrum Signal Proecessing Inc",
"SPC","SpinCore Technologies, Inc",
"SSI","S-S Technology Inc",
"STA","ST Electronics Systems Assembly Pte Ltd",
"STC","STAC Electronics",
"SMC","Standard Microsystems Corporation",
"STT","Star Paging Telecom Tech (Shenzhen) Co. Ltd.",
"STF","Starflight Electronics",
"SGT","Stargate Technology",
"SLF","StarLeaf",
"STR","Starlight Networks Inc",
"STW","Starwin Inc.",
"SWS","Static",
"STB","STB Systems Inc",
"STD","STD Computer Inc",
"STG","StereoGraphics Corp.",
"STX","ST-Ericsson",
"SMO","STMicroelectronics",
"STO","Stollmann E+V GmbH",
"SAS","Stores Automated Systems Inc",
"EZP","Storm Technology",
"STP","StreamPlay Ltd",
"SYK","Stryker Communications",
"SUB","Subspace Comm. Inc",
"SML","Sumitomo Metal Industries, Ltd.",
"SUM","Summagraphics Corporation",
"SCE","Sun Corporation",
"SUN","Sun Electronics Corporation",
"SVI","Sun Microsystems",
"SDS","SunRiver Data System",
"SGL","Super Gate Technology Company Ltd",
"SNT","SuperNet Inc",
"SUP","Supra Corporation",
"SUR","Surenam Computer Corporation",
"SRF","Surf Communication Solutions Ltd",
"SVD","SVD Computer",
"SVS","SVSI",
"SYE","SY Electronics Ltd",
"SYL","Sylvania Computer Products",
"SLI","Symbios Logic Inc",
"ISA","Symbol Technologies",
"SYM","Symicron Computer Communications Ltd.",
"SYN","Synaptics Inc",
"SPS","Synopsys Inc",
"SXB","Syntax-Brillian",
"SYP","SYPRO Co Ltd",
"SYS","Sysgration Ltd",
"SLC","Syslogic Datentechnik AG",
"SME","Sysmate Company",
"SIC","Sysmate Corporation",
"SYC","Sysmic",
"SGZ","Systec Computer GmbH",
"SCI","System Craft",
"SEB","system elektronik GmbH",
"SLA","Systeme Lauer GmbH&Co KG",
"UPS","Systems Enhancement",
"SST","SystemSoft Corporation",
"SCR","Systran Corporation",
"SYV","SYVAX Inc",
"TUA ","T+A elektroakustik GmbH",
"TCD","Taicom Data Systems Co., Ltd.",
"TMR","Taicom International Inc",
"TKC","Taiko Electric Works.LTD",
"TVM","Taiwan Video & Monitor Corporation",
"KTD","Takahata Electronics Co.,Ltd.",
"TAM","Tamura Seisakusyo Ltd",
"TAA","Tandberg",
"TDD","Tandberg Data Display AS",
"TDM","Tandem Computer Europe Inc",
"TCC","Tandon Corporation",
"TDY","Tandy Electronics",
"TAS","Taskit Rechnertechnik GmbH",
"TCS","Tatung Company of America Inc",
"VIB","Tatung UK Ltd",
"NRV","Taugagreining hf",
"TAX","Taxan (Europe) Ltd",
"PMD","TDK USA Corporation",
"TDK","TDK USA Corporation",
"TDT","TDT",
"TDV","TDVision Systems, Inc.",
"TCJ","TEAC America Inc",
"TEA","TEAC System Corporation",
"CET","TEC CORPORATION",
"TMC","Techmedia Computer Systems Corporation",
"TCL","Technical Concepts Ltd",
"TSD","TechniSat Digital GmbH",
"NXS","Technology Nexus Secure Open Systems AB",
"TPE","Technology Power Enterprises Inc",
"TTS","TechnoTrend Systemtechnik GmbH",
"TEC","Tecmar Inc",
"TCN","Tecnetics (PTY) Ltd",
"TNM","TECNIMAGEN SA",
"TVD","Tecnovision",
"RXT","Tectona SoftSolutions (P) Ltd.,",
"TKN","Teknor Microsystem Inc",
"TRM","Tekram Technology Company Ltd",
"TEK","Tektronix Inc",
"TWX","TEKWorx Limited",
"TCT","Telecom Technology Centre Co. Ltd.",
"TTC","Telecommunications Techniques Corporation",
"TAT","Teleliaison Inc",
"TLK","Telelink AG",
"TPS","Teleprocessing Systeme GmbH",
"TAG","Teles AG",
"TLS","Teleste Educational OY",
"TSI","TeleVideo Systems",
"PFT","Telia ProSoft AB",
"TLD","Telindus",
"TLX","Telxon Corporation",
"TNY","Tennyson Tech Pty Ltd",
"TDC","Teradici",
"TER","TerraTec Electronic GmbH",
"ALS","Texas Advanced optoelectronics Solutions, Inc",
"TXN","Texas Insturments",
"TMI","Texas Microsystem",
"TXT","Textron Defense System",
"CKC","The Concept Keyboard Company Ltd",
"DGT","The Dearborn Group",
"PXL","The Moving Pixel Company",
"ITN","The NTI Group",
"TOG","The OPEN Group",
"PAN","The Panda Project",
"PRG","The Phoenix Research Group Inc",
"TSG","The Software Group Ltd",
"TMX","Thermotrex Corporation",
"TCO","Thomas-Conrad Corporation",
"TCR","Thomson Consumer Electronics",
"TPT","Thruput Ltd",
"THN","Thundercom Holdings Sdn. Bhd.",
"TWA","Tidewater Association",
"TMM","Time Management, Inc.",
"TKS","TimeKeeping Systems, Inc.",
"TIP","TIPTEL AG",
"TIX","Tixi.Com GmbH",
"TMT","T-Metrics Inc.",
"TNC","TNC Industrial Company Ltd",
"TAB","Todos Data System AB",
"TOE","TOEI Electronics Co., Ltd.",
"TON","TONNA",
"TPV","Top Victory Electronics ( Fujian ) Company Ltd",
"TPK","TOPRE CORPORATION",
"TPR","Topro Technology Inc",
"TTA","Topson Technology Co., Ltd.",
"SFM","TORNADO Company",
"TGS","Torus Systems Ltd",
"TRS","Torus Systems Ltd",
"TAI","Toshiba America Info Systems Inc",
"TSB","Toshiba America Info Systems Inc",
"TOS","Toshiba Corporation",
"TGC","Toshiba Global Commerce Solutions, Inc.",
"LCD","Toshiba Matsushita Display Technology Co., Ltd",
"PCS","TOSHIBA PERSONAL COMPUTER SYSTEM CORPRATION",
"TLI","TOSHIBA TELI CORPORATION",
"TTK","Totoku Electric Company Ltd",
"TSE","Tottori Sanyo Electric",
"TSL","Tottori SANYO Electric Co., Ltd.",
"TPC","Touch Panel Systems Corporation",
"TKO","TouchKo, Inc.",
"TOU","Touchstone Technology",
"TSY","TouchSystems",
"TWK","TOWITOKO electronics GmbH",
"CSB","Transtex SA",
"TST","Transtream Inc",
"TSV","TRANSVIDEO",
"TRE","Tremetrics",
"RDM","Tremon Enterprises Company Ltd",
"TTI","Trenton Terminals Inc",
"TRX","Trex Enterprises",
"OZO","Tribe Computer Works Inc",
"TRI","Tricord Systems",
"TDS","Tri-Data Systems Inc",
"TTY","TRIDELITY Display Solutions GmbH",
"TRD","Trident Microsystem Inc",
"TMS","Trident Microsystems Ltd",
"TGI","TriGem Computer Inc",
"TGM","TriGem Computer,Inc.",
"TIC","Trigem KinfoComm",
"TRC","Trioc AB",
"TBB","Triple S Engineering Inc",
"TRT","Tritec Electronic AG",
"TRA","TriTech Microelectronics International",
"TRV","Trivisio Prototyping GmbH",
"TXL","Trixel Ltd",
"MKV","Trtheim Technology",
"TVI","Truevision",
"TTE","TTE, Inc.",
"TCI","Tulip Computers Int'l B.V.",
"TBC","Turbo Communication, Inc",
"TBS","Turtle Beach System",
"TUT","Tut Systems",
"TVR","TV Interactive Corporation",
"TVO","TV One Ltd",
"TVV","TV1 GmbH",
"TVS","TVS Electronics Limited",
"TWH","Twinhead International Corporation",
"TYN","Tyan Computer Corporation",
"ELO","Tyco Electronics",
"USD","U.S. Digital Corporation",
"NRL","U.S. Naval Research Lab",
"TSP","U.S. Navy",
"USR","U.S. Robotics Inc",
"UBL","Ubinetics Ltd.",
"UJR","Ueda Japan Radio Co., Ltd.",
"UFO","UFO Systems Inc",
"UAS","Ultima Associates Pte Ltd",
"UEC","Ultima Electronics Corporation",
"ULT","Ultra Network Tech",
"UMG","Umezawa Giken Co.,Ltd",
"UBI","Ungermann-Bass Inc",
"UNY","Unicate",
"UDN","Uniden Corporation",
"UIC","Uniform Industrial Corporation",
"UNI","Uniform Industry Corp.",
"UFG","UNIGRAF-USA",
"UNB","Unisys Corporation",
"UNC","Unisys Corporation",
"UNI","Unisys Corporation",
"UNM","Unisys Corporation",
"UNO","Unisys Corporation",
"UNS","Unisys Corporation",
"UNT","Unisys Corporation",
"UNA","Unisys DSD",
"WKH","Uni-Take Int'l Inc.",
"UMC","United Microelectr Corporation",
"UNP","Unitop",
"UEI","Universal Electronics Inc",
"UET","Universal Empowering Technologies",
"UMM","Universal Multimedia",
"USI","Universal Scientific Industrial Co., Ltd.",
"JGD","University College",
"UWC","Uniwill Computer Corp.",
"UTD","Up to Date Tech",
"UPP","UPPI",
"RUP","Ups Manufactoring s.r.l.",
"ASD","USC Information Sciences Institute",
"USA","Utimaco Safeware AG",
"VDM","Vadem",
"VAL","Valence Computing Corporation",
"VBT","Valley Board Ltda",
"VLB","ValleyBoard Ltda.",
"VAR","Varian Australia Pty Ltd",
"VTV","VATIV Technologies",
"VBR","VBrick Systems Inc.",
"VCX","VCONEX",
"VDC","VDC Display Systems",
"VEC","Vector Informatik GmbH",
"VCM","Vector Magnetics, LLC",
"VEK","Vektrex",
"VFI","VeriFone Inc",
"VMI","Vermont Microsystems",
"VTX","Vestax Corporation",
"VES","Vestel Elektronik Sanayi ve Ticaret A. S.",
"VIA","VIA Tech Inc",
"VCJ","Victor Company of Japan, Limited",
"VDA","Victor Data Systems",
"VIC","Victron B.V.",
"VDO","Video & Display Oriented Corporation",
"URD","Video Computer S.p.A.",
"JWD","Video International Inc.",
"VPI","Video Products Inc",
"VLT","VideoLan Technologies",
"VSI","VideoServer",
"VTN","VIDEOTRON CORP.",
"VDS","Vidisys GmbH & Company",
"VDT","Viditec, Inc.",
"VSC","ViewSonic Corporation",
"VTK","Viewteck Co., Ltd.",
"VIK","Viking Connectors",
"VNC","Vinca Corporation",
"NHT","Vinci Labs",
"VML","Vine Micros Limited",
"VIN","Vine Micros Ltd",
"VCC","Virtual Computer Corporation",
"VRC","Virtual Resources Corporation",
"VQ@","Vision Quest",
"VSP","Vision Systems GmbH",
"VIS","Visioneer",
"VIT","Visitech AS",
"VCI","VistaCom Inc",
"VIR","Visual Interface, Inc",
"VTL","Vivid Technology Pte Ltd",
"VIZ","VIZIO, Inc",
"VTI","VLSI Tech Inc",
"VMW","VMware Inc.,",
"VTG","Voice Technologies Group Inc",
"GDT","Vortex Computersysteme GmbH",
"VSR","V-Star Electronics Inc.",
"VTS","VTech Computers Ltd",
"VTC","VTel Corporation",
"VUT","Vutrix (UK) Ltd",
"VWB","Vweb Corp.",
"WAC","Wacom Tech",
"JPW","Wallis Hamilton Industries",
"WAL","Wave Access",
"AWS","Wave Systems",
"WVM","Wave Systems Corporation",
"WAV","Wavephore",
"SEL","Way2Call Communications",
"WBS","WB Systemtechnik GmbH",
"WEL","W-DEV",
"WPI","Wearnes Peripherals International (Pte) Ltd",
"WTK","Wearnes Thakral Pte",
"WEB","WebGear Inc",
"WMO","Westermo Teleindustri AB",
"WDC","Western Digital",
"WDE","Westinghouse Digital Electronics",
"WEY","WEY Design AG",
"WHI","Whistle Communications",
"WLD","Wildfire Communications Inc",
"WNI","WillNet Inc.",
"WEC","Winbond Electronics Corporation",
"WNX","Wincor Nixdorf International GmbH",
"WMT","Winmate Communication Inc",
"WNV","Winnov L.P.",
"WRC","WiNRADiO Communications",
"WIN","Wintop Technology Inc",
"WIL","WIPRO Information Technology Ltd",
"WIP","Wipro Infotech",
"WSP","Wireless And Smart Products Inc.",
"WCI","Wisecom Inc",
"WST","Wistron Corporation",
"WML","Wolfson Microelectronics Ltd",
"WCS","Woodwind Communications Systems Inc",
"WYT","Wooyoung Image & Information Co.,Ltd.",
"WTI","WorkStation Tech",
"WWV","World Wide Video, Inc.",
"WXT","Woxter Technology Co. Ltd",
"XTN","X-10 (USA) Inc",
"XTE","X2E GmbH",
"XAC","XAC Automation Corp",
"XDM","XDM Ltd.",
"MAD","Xedia Corporation",
"XLX","Xilinx, Inc.",
"XIN","Xinex Networks Inc",
"XIO","Xiotech Corporation",
"XRC","Xircom Inc",
"XIR","Xirocm Inc",
"XIT","Xitel Pty ltd",
"XNT","XN Technologies, Inc.",
"UHB","XOCECO",
"XRO","XORO ELECTRONICS (CHENGDU) LIMITED",
"XST","XS Technologies Inc",
"XSN","Xscreen AS",
"XSY","XSYS",
"XYC","Xycotec Computer GmbH",
"YMH","Yamaha Corporation",
"BUF","Yasuhiko Shirai Melco Inc",
"YED","Y-E Data Inc",
"YHQ","Yokogawa Electric Corporation",
"TPZ","Ypoaz Systems Inc",
"ZMZ","Z Microsystems",
"ZTT","Z3 Technology",
"ZMT","Zalman Tech Co., Ltd.",
"ZAN","Zandar Technologies plc",
"ZAZ","Zazzle Technologies",
"ZBR","Zebra Technologies International, LLC",
"ZAX","Zefiro Acoustics",
"ZCT","ZeitControl cardsystems GmbH",
"ZDS","Zenith Data Systems",
"ZGT","Zenith Data Systems",
"ZSE","Zenith Data Systems",
"ZNI","Zetinet Inc",
"ZNX","Znyx Adv. Systems",
"ZTI","Zoom Telephonics Inc",
"ZRN","Zoran Corporation",
"ZOW","Zowie Intertainment, Inc",
"ZTM","ZT Group Int'l Inc.",
"ZTE","ZTE Corporation",
"SIX","Zuniq Data Corporation",
"ZYD","Zydacron Inc",
"ZTC","ZyDAS Technology Corporation",
"ZYP","Zypcom Inc",
"ZYT","Zytex Computers",
"HPA","Zytor Communications",
"ZYX","Zyxel",
"","" // Empty ending record for search
};

LPCSTR ISA_PNPID_search( LPCSTR lpstrID)
{
	BOOL		bFound = FALSE;
	static CStringA	csBuffer;

	for (UINT i=0; !bFound; i+=2)
	{
		csBuffer = tabPNPID[i];
		if (csBuffer.CompareNoCase( lpstrID) == 0)
		{
			csBuffer = tabPNPID[i+1];
			bFound = TRUE;
		}
		if (csBuffer.IsEmpty())
			// End of table
			bFound = TRUE;
	}
	return csBuffer;
}
